The application topaz defines the following object types:

SimplicialComplex

Each type is accompanied with alphabetically sorted lists of properties and public methods, both own and inherited from parent types. The items are links to the detailed descriptions.

Underlined is the default type for this application.

The methods inherited from Poly::Object are described on a separate page, as they are only needed for advanced scripting.

SimplicialComplex
An abstract simplicial complex represented by its facets.
properties:

BALANCED | EULER_CHARACTERISTIC | MORSE_MATCHING_CRITICAL_FACE_VECTOR
BALL | F2_VECTOR | MORSE_MATCHING_N_CRITICAL_FACES
BIPARTITE | FACETS | MORSE_MATCHING_SIZE
BOUNDARY_OF_PSEUDO_MANIFOLD | FUNDAMENTAL_GROUP | N_FACETS
CLOSED_PSEUDO_MANIFOLD | FUNDAMENTAL_GROUP_GEN_LABELS | N_MINIMAL_NON_FACES
COCYCLES | F_VECTOR | N_VERTICES
COHOMOLOGY | GENUS | ODD_SUBCOMPLEX
COLORING | GEOMETRIC_REALIZATION | ORIENTATION
CONNECTED | GRAPH | ORIENTED_PSEUDO_MANIFOLD
CONNECTED_COMPONENTS | GRAPH_SIGNATURE | PROJ_DICTIONARY
CONNECTIVITY | G_DIM | PROJ_ORBITS
CYCLES | HASSE_DIAGRAM | PSEUDO_MANIFOLD
DESCRIPTION | HOMOLOGY | PURE
DIM | INPUT_FACES | SIGNATURE
DUAL_BIPARTITE | INTERSECTION_FORM | SPHERE
DUAL_COLORING | LOCALLY_STRONGLY_CONNECTED | STIEFEL_WHITNEY
DUAL_CONNECTED | MANIFOLD | SURFACE
DUAL_CONNECTED_COMPONENTS | MAX_CLIQUES | VERTEX_DEGREES
DUAL_CONNECTIVITY | MINIMAL_NON_FACES | VERTEX_LABELS
DUAL_GRAPH | MIXED_GRAPH | VOLUME
DUAL_GRAPH_SIGNATURE | MORSE_MATCHING
DUAL_MAX_CLIQUES | MORSE_MATCHING_CRITICAL_FACES

methods:

VISUAL | VISUAL_FACE_LATTICE | VISUAL_MIXED_GRAPH
VISUAL_DUAL_GRAPH | VISUAL_GRAPH | fundamental2gap